scope: postgres
namespace: /db/
name: db1

restapi:
  listen: 0.0.0.0:8008
  connect_address: db1:8008

etcd:
  host: db1:2379

bootstrap:
  dcs:
    ttl: 30
    loop_wait: 10
    retry_timeout: 10
    maximum_lag_on_failover: 1048576
    postgresql:
      use_pg_rewind: true
      use_slots: true
      parameters:

  initdb:
  - encoding: UTF8
  - data-checksums

  pg_hba:
  - host replication replicator 127.0.0.1/32 md5
  - host replication replicator db1 md5
  - host replication replicator db2 md5
  - host replication replicator db3 md5
  - host all all 0.0.0.0/0 md5

  users:
    admin:
      password: admin
      options:
        - createrole
        - createdb

postgresql:
  listen: db1:5432
  connect_address: db1:5432
  data_dir: /data/patroni
  pgpass: /tmp/pgpass
  synchronous_standby_names: '*'
  authentication:
    replication:
      username: replicator
      password: vagrant
    superuser:
      username: postgres
      password: vagrant
  parameters:
      unix_socket_directories: '/var/run/postgresql'

tags:
  nofailover: false
  noloadbalance: false
  clonefrom: false
  nosync: false
